Revoga um token do MCP (RFC 7009)
POST/oauth/revoke
- Auth
- Richiede un token
Le descrizioni degli endpoint provengono dalla specifica dell’API e per ora sono in portoghese. L’interfaccia intorno è tradotta.
Revogar o access token ou o refresh token revoga a conexão inteira: o assistente para de enxergar a comunidade na hora. Token desconhecido também responde 200, como manda a RFC.
Corpo della richiesta application/x-www-form-urlencoded
| Nome | Tipo | Descrizione |
|---|---|---|
tokenobbligatorio | string | |
token_type_hintfacoltativo | access_token | refresh_token | |
client_idobbligatorio | string | |
client_secretfacoltativo | string |
Risposte
| Codice | Descrizione |
|---|---|
200 | Revogado (ou já não valia). |
401 | `invalid_client`. |
Esempio con curl
curl -X POST "https://api.memberfy.net/oauth/revoke" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"token":"string","client_id":"string"}'